Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.

Bug 1063422

Summary: WARNING: CPU: 0 PID: 2730 at mm/slub.c:1007 deactivate_slab+0x4e0/0x590()
Product: [Fedora] Fedora Reporter: Vinson Lee <vlee>
Component: kernelAssignee: Kernel Maintainer List <kernel-maint>
Status: CLOSED RAWHIDE QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: unspecified Docs Contact:
Priority: unspecified    
Version: rawhideCC: gansalmon, itamar, jonathan, kernel-maint, madhu.chinakonda
Target Milestone: ---   
Target Release: ---   
Hardware: x86_64   
OS: Linux   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2014-02-12 17:49:07 UTC Type: Bug
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Description Vinson Lee 2014-02-10 17:10:09 UTC
Description of problem:


Version-Release number of selected component (if applicable):
3.14.0-0.rc1.git4.1.fc21.x86_64

How reproducible:


Steps to Reproduce:
1.
2.
3.

Actual results:
[  221.201425] ------------[ cut here ]------------
[  221.201462] WARNING: CPU: 0 PID: 2730 at mm/slub.c:1007 deactivate_slab+0x4e0/0x590()
[  221.201465] Modules linked in: ip6t_rpfilter ip6t_REJECT fuse xt_conntrack cfg80211 ebtable_nat ebtable_broute bridge stp llc ebtable_filter ebtables ip6table_nat nf_conntrack_ipv6 nf_defrag_ipv6 nf_nat_ipv6 ip6table_mangle ip6table_security ip6table_raw ip6table_filter ip6_tables iptable_nat nf_conntrack_ipv4 nf_defrag_ipv4 nf_nat_ipv4 nf_nat nf_conntrack iptable_mangle iptable_security iptable_raw bnep ppdev vmw_balloon coretemp crct10dif_pclmul crc32_pclmul snd_ens1371 crc32c_intel btusb gameport ghash_clmulni_intel snd_rawmidi bluetooth joydev snd_ac97_codec ac97_bus 6lowpan_iphc microcode snd_seq rfkill snd_seq_device snd_pcm serio_raw snd_timer snd soundcore i2c_piix4 vmw_vmci shpchp parport_pc parport binfmt_misc vmwgfx ttm mptspi e1000 scsi_transport_spi mptscsih drm mptbase i2c_core ata_generic
[  221.201501]  pata_acpi
[  221.201505] CPU: 0 PID: 2730 Comm: cmake Not tainted 3.14.0-0.rc1.git4.1.fc21.x86_64 #1
[  221.201506] Hardware name: VMware, Inc. VMware Virtual Platform/440BX Desktop Reference Platform, BIOS 6.00 07/31/2013
[  221.201508]  0000000000000000 000000007d021ddc ffff8800054af858 ffffffff817cf14d
[  221.201511]  0000000000000000 ffff8800054af890 ffffffff810967cd 0000000000000002
[  221.201513]  ffff88003d60f600 ffff88003d5eab00 0000000000000000 ffffea00006c1a40
[  221.201516] Call Trace:
[  221.201624]  [<ffffffff817cf14d>] dump_stack+0x4d/0x66
[  221.201632]  [<ffffffff810967cd>] warn_slowpath_common+0x7d/0xa0
[  221.201634]  [<ffffffff810968fa>] warn_slowpath_null+0x1a/0x20
[  221.201636]  [<ffffffff8120d970>] deactivate_slab+0x4e0/0x590
[  221.201642]  [<ffffffff81250d65>] ? address_space_init_once+0xd5/0x140
[  221.201644]  [<ffffffff81250e90>] ? inode_init_once+0xc0/0x120
[  221.201651]  [<ffffffff812e351f>] ? init_once+0x5f/0x70
[  221.201653]  [<ffffffff8120bb06>] ? new_slab+0x236/0x390
[  221.201656]  [<ffffffff817cd40f>] __slab_alloc+0x392/0x5a7
[  221.201658]  [<ffffffff81210e94>] ? kmem_cache_alloc+0x264/0x300
[  221.201660]  [<ffffffff812e311b>] ? ext4_alloc_inode+0x1b/0x1e0
[  221.201663]  [<ffffffff81210e94>] kmem_cache_alloc+0x264/0x300
[  221.201665]  [<ffffffff812e311b>] ? ext4_alloc_inode+0x1b/0x1e0
[  221.201667]  [<ffffffff812e311b>] ext4_alloc_inode+0x1b/0x1e0
[  221.201669]  [<ffffffff8125160d>] alloc_inode+0x1d/0xa0
[  221.201671]  [<ffffffff81253801>] new_inode_pseudo+0x11/0x60
[  221.201673]  [<ffffffff81253869>] new_inode+0x19/0x30
[  221.201677]  [<ffffffff812cb1ee>] __ext4_new_inode+0xae/0x1650
[  221.201682]  [<ffffffff8135628d>] ? avc_has_perm+0x16d/0x360
[  221.201685]  [<ffffffff812dcec8>] ext4_create+0xd8/0x190
[  221.201689]  [<ffffffff8124360d>] vfs_create+0xcd/0x130
[  221.201691]  [<ffffffff81244268>] do_last+0xbf8/0x1400
[  221.201692]  [<ffffffff8123fcf8>] ? inode_permission+0x18/0x50
[  221.201694]  [<ffffffff81240591>] ? link_path_walk+0x81/0x880
[  221.201696]  [<ffffffff81244b40>] path_openat+0xd0/0x6c0
[  221.201701]  [<ffffffff811dc5df>] ? might_fault+0x5f/0xb0
[  221.201704]  [<ffffffff812459ad>] do_filp_open+0x4d/0xb0
[  221.201709]  [<ffffffff817d82b7>] ? _raw_spin_unlock+0x27/0x40
[  221.201711]  [<ffffffff8125569f>] ? __alloc_fd+0xaf/0x1f0
[  221.201716]  [<ffffffff812322b7>] do_sys_open+0x137/0x240
[  221.201718]  [<ffffffff812323de>] SyS_open+0x1e/0x20
[  221.201722]  [<ffffffff817e2fa9>] system_call_fastpath+0x16/0x1b
[  221.201724] ---[ end trace d6ae77b547b8b1a0 ]---


Expected results:


Additional info:

Comment 1 Josh Boyer 2014-02-12 17:49:07 UTC
This should be fixed with yesterday's rawhide kernel.